(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 12.1' *)

(***************************************************************************)
(*                                                                         *)
(*                                                                         *)
(*  Under the Wolfram FreeCDF terms of use, this file and its content are  *)
(*  bound by the Creative Commons BY-SA Attribution-ShareAlike license.    *)
(*                                                                         *)
(*        For additional information concerning CDF licensing, see:        *)
(*                                                                         *)
(*         www.wolfram.com/cdf/adopting-cdf/licensing-options.html         *)
(*                                                                         *)
(*                                                                         *)
(***************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1088,         20]
NotebookDataLength[     15746,        358]
NotebookOptionsPosition[     16233,        353]
NotebookOutlinePosition[     16710,        373]
CellTagsIndexPosition[     16667,        370]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 5, $CellContext`d$$ = 
    3, $CellContext`e$$ = 0.4, $CellContext`showMargin$$ = 
    False, $CellContext`showTolerance$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 5, 
       "\!\(\*StyleBox[\"a\",FontSlant->\"Italic\"]\)"}, -9.5, 9.5}, {{
       Hold[$CellContext`e$$], 0.4, 
       "tolerance \!\(\*StyleBox[\"E\",FontSlant->\"Italic\"]\) > 0"}, 0, 
      1}, {{
       Hold[$CellContext`d$$], 3, 
       "margin \!\(\*StyleBox[\"D\",FontSlant->\"Italic\"]\) > 0"}, 0, 4}, {{
       Hold[$CellContext`showTolerance$$], False, 
       "show tolerance (\!\(\*StyleBox[\"E\",FontSlant->\"Italic\"]\))"}, {
      True, False}}, {{
       Hold[$CellContext`showMargin$$], False, 
       "show margin (\!\(\*StyleBox[\"D\",FontSlant->\"Italic\"]\))"}, {
      True, False}}}, Typeset`size$$ = {
    599., {269.3544921875, 274.6455078125}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 5, $CellContext`d$$ = 
        3, $CellContext`e$$ = 0.4, $CellContext`showMargin$$ = 
        False, $CellContext`showTolerance$$ = False}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`x0 = 
        If[$CellContext`a$$ == 0, 1.*^-11, $CellContext`a$$]; 
       Grid[{{$CellContext`plot = Plot[
             $CellContext`f[$CellContext`x], {$CellContext`x, \
$CellContext`xMin, $CellContext`xMax}, PlotStyle -> {Thick, Purple}, 
             AxesLabel -> {$CellContext`x, 
               "\!\(\*StyleBox[\"y\",FontSlant->\"Italic\"]\) = \
\!\(\*StyleBox[\"f\",FontSlant->\"Italic\"]\)(\!\(\*StyleBox[\"x\",FontSlant->\
\"Italic\"]\))"}, AxesStyle -> 14, 
             PlotRange -> {{$CellContext`xMin, $CellContext`xMax}, \
{$CellContext`yMin, $CellContext`yMax}}, 
             AspectRatio -> $CellContext`aspectRatio, ImageSize -> 500, 
             Ticks -> {{-10, -9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 
               4, 5, 6, 7, 8, 9, 10}, Automatic}, Prolog -> {
               If[$CellContext`showMargin$$, {
                 $CellContext`vertStrip[$CellContext`a$$, $CellContext`d$$, \
$CellContext`e$$], 
                 $CellContext`marginLines[$CellContext`a$$, $CellContext`d$$], 
                 $CellContext`vertLine[$CellContext`a$$, $CellContext`d$$, \
$CellContext`e$$]}, {Blue, 
                 Thickness[0.01], 
                 Line[{{$CellContext`a$$, 0}, {$CellContext`a$$, 0.1}}]}], 
               If[$CellContext`showTolerance$$, {
                 $CellContext`horizStrip[$CellContext`x0, $CellContext`e$$], 
                 $CellContext`toleranceLines[$CellContext`x0, \
$CellContext`e$$], 
                 $CellContext`horizLine[$CellContext`x0]}], {Blue, 
                Thickness[0.01], 
                Line[{{-0.25, 
                   $CellContext`f[$CellContext`a$$]}, {0.25, 
                   $CellContext`f[$CellContext`a$$]}}]}}, 
             Epilog -> {{Purple, 
                AbsolutePointSize[12], 
                Point[{0, 
                  $CellContext`f[0]}]}, 
               Map[$CellContext`whitepoint, 
                Map[# + 1.*^-8& , {0}]], 
               If[$CellContext`showMargin$$, {Blue, 
                 Style[
                  Text[
                  "\!\(\*StyleBox[\"a\",FontSlant->\"Italic\"]\)", \
{$CellContext`a$$ - 0.5, -0.15}], 16, Italic]}, {Blue, 
                 Style[
                  Text[
                  "\!\(\*StyleBox[\"a\",FontSlant->\"Italic\"]\)", \
{$CellContext`a$$, -0.15}], 16, Italic]}], {Blue, 
                AbsolutePointSize[10], 
                Point[{$CellContext`a$$, 
                  $CellContext`f[$CellContext`x0]}]}, 
               If[
                And[$CellContext`showTolerance$$, $CellContext`a$$ != 0], {
                 Darker[Yellow], 
                 Style[
                  Text[
                  "\!\(\*StyleBox[\"L\",FontSlant->\"Italic\"]\)", \
{$CellContext`xMin, 
                    $CellContext`f[$CellContext`a$$]} + {0.5, 0.1}], 16]}, 
                Nothing], {Blue, 
                Style[
                 Text[
                 "\!\(\*StyleBox[\"f\",FontSlant->\"Italic\"]\)(\!\(\*\
StyleBox[\"a\",FontSlant->\"Italic\"]\))", {-1.5, 
                   $CellContext`f[$CellContext`a$$]}], 16, Italic]}, 
               Inset[$Failed, {-10, -0.3}, {0, 0}, {Automatic, 0.15}]}], 
           Column[{
             $CellContext`debugVar[
             "\!\(\*StyleBox[\"a\",FontSlant->\"Italic\"]\)", \
$CellContext`a$$], 
             If[$CellContext`a$$ != 0, 
              $CellContext`debugVar[
              "\!\(\*StyleBox[\"f\",FontSlant->\"Italic\"]\)(\!\(\*StyleBox[\"\
a\",FontSlant->\"Italic\"]\))", 
               N[
                $CellContext`f[$CellContext`a$$]]], 
              $CellContext`debugVar["L", 
               N[$CellContext`L0]]], 
             If[
              And[$CellContext`d$$ > 0, $CellContext`a$$ != 0], 
              $CellContext`debugVar[
              "\!\(\*StyleBox[\"D\",FontSlant->\"Italic\"]\)", \
$CellContext`d$$]], 
             If[
              And[$CellContext`e$$ > 0, $CellContext`a$$ != 0], 
              $CellContext`debugVar[
              "\!\(\*StyleBox[\"E\",FontSlant->\"Italic\"]\)", \
$CellContext`e$$]]}]}, {
          "How close must the input \
\!\(\*StyleBox[\"x\",FontSlant->\"Italic\"]\) be to \
\!\(\*StyleBox[\"a\",FontSlant->\"Italic\"]\) \nso that the corresponding \
output \!\(\*StyleBox[\"f\",FontSlant->\"Italic\"]\)\!\(\*StyleBox[\"(\",\
FontSlant->\"Italic\"]\)\!\(\*StyleBox[\"x\",FontSlant->\"Italic\"]\)) is \
within \!\(\*StyleBox[\"E\",FontSlant->\"Italic\"]\) of \
\!\(\*StyleBox[\"L\",FontSlant->\"Italic\"]\)?", SpanFromLeft}}]), 
      "Specifications" :> {{{$CellContext`a$$, 5, 
          "\!\(\*StyleBox[\"a\",FontSlant->\"Italic\"]\)"}, -9.5, 9.5, 
         Appearance -> 
         "Open"}, {{$CellContext`e$$, 0.4, 
          "tolerance \!\(\*StyleBox[\"E\",FontSlant->\"Italic\"]\) > 0"}, 0, 
         1}, {{$CellContext`d$$, 3, 
          "margin \!\(\*StyleBox[\"D\",FontSlant->\"Italic\"]\) > 0"}, 0, 
         4}, {{$CellContext`showTolerance$$, False, 
          "show tolerance (\!\(\*StyleBox[\"E\",FontSlant->\"Italic\"]\))"}, {
         True, False}, ControlPlacement -> 
         Left}, {{$CellContext`showMargin$$, False, 
          "show margin (\!\(\*StyleBox[\"D\",FontSlant->\"Italic\"]\))"}, {
         True, False}, ControlPlacement -> Left}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{751., {356., 362.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Which[$CellContext`x != 0, E^($CellContext`x/5 - 1), $CellContext`x == 
          0, 0.7]; $CellContext`L0 = 
        ReplaceAll[
         E^($CellContext`x - 1), $CellContext`x -> 
          0]; {$CellContext`xMin, $CellContext`xMax} = {-10, 
         10}; {$CellContext`yMin, $CellContext`yMax} = {-0.5, 
          E^1}; $CellContext`aspectRatio = 1; $CellContext`vertStrip[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]]] := Module[{$CellContext`L = If[$CellContext`a != 0, 
             $CellContext`f[$CellContext`a], 
             N[$CellContext`L0]]}, {
           Nest[Lighter, Blue, 4], 
           If[
            
            And[$CellContext`L - $CellContext`e < \
$CellContext`f[$CellContext`a - $CellContext`d] < $CellContext`L + \
$CellContext`e, $CellContext`L - $CellContext`e < \
$CellContext`f[$CellContext`a + $CellContext`d] < $CellContext`L + \
$CellContext`e, 
             Or[
              
              Not[$CellContext`a - $CellContext`d < 
               0 < $CellContext`a + $CellContext`d], 
              
              And[$CellContext`L - $CellContext`e < $CellContext`f[
                0] < $CellContext`L + $CellContext`e, $CellContext`L - \
$CellContext`e < $CellContext`f[0] < $CellContext`L + $CellContext`e]]], 
            Green, 
            Lighter[Red]], 
           
           Polygon[{{$CellContext`a - $CellContext`d, $CellContext`yMin}, \
{$CellContext`a + $CellContext`d, $CellContext`yMin}, {$CellContext`a + \
$CellContext`d, $CellContext`yMax}, {$CellContext`a - $CellContext`d, \
$CellContext`yMax}}], 
           If[$CellContext`d > 0, {Black, 
             Style[
              Text[
              "\!\(\*StyleBox[\"d\",FontSlant->\"Italic\"]\)", \
{$CellContext`a - $CellContext`d/2, $CellContext`yMin + 0.1}], 16], 
             Style[
              Text[
              "\!\(\*StyleBox[\"d\",FontSlant->\"Italic\"]\)", \
{$CellContext`a + $CellContext`d/2, $CellContext`yMin + 0.1}], 16], 
             Arrowheads[{-0.02, 0.02}], 
             Map[
             Arrow, {{{$CellContext`a - $CellContext`d, $CellContext`yMin + 
                 0.05}, {$CellContext`a, $CellContext`yMin + 
                 0.05}}, {{$CellContext`a, $CellContext`yMin + 
                 0.05}, {$CellContext`a + $CellContext`d, $CellContext`yMin + 
                 0.05}}}]}, Nothing]}]; $CellContext`vertLine[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]]] := Module[{$CellContext`L = If[$CellContext`a != 0, 
             $CellContext`f[$CellContext`a], $CellContext`L0]}, {
           Thickness[0.0075], {Blue, 
            Thickness[0.0075], 
            Dashing[{0.05, 0.025}], 
            
            Line[{{$CellContext`a, $CellContext`yMin}, {$CellContext`a, \
$CellContext`yMax}}]}, 
           If[
            
            And[$CellContext`L - $CellContext`e < \
$CellContext`f[$CellContext`a - $CellContext`d] < $CellContext`L + \
$CellContext`e, $CellContext`L - $CellContext`e < \
$CellContext`f[$CellContext`a + $CellContext`d] < $CellContext`L + \
$CellContext`e, 
             Or[
              
              Not[$CellContext`a - $CellContext`d < 
               0 < $CellContext`a + $CellContext`d], 
              
              And[$CellContext`L - $CellContext`e < $CellContext`f[
                0] < $CellContext`L + $CellContext`e, $CellContext`L - \
$CellContext`e < $CellContext`f[0] < $CellContext`L + $CellContext`e]]], 
            Green, Red], 
           Dashing[{0.05, 0.025}]}]; $CellContext`marginLines[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := {
          Thickness[0.003], Blue, 
          Dashing[{0.05, 0.025}], 
          Map[
          Line, {{{$CellContext`a - $CellContext`d, $CellContext`yMin}, \
{$CellContext`a - $CellContext`d, $CellContext`yMax}}, {{$CellContext`a + \
$CellContext`d, $CellContext`yMin}, {$CellContext`a + $CellContext`d, \
$CellContext`yMax}}}]}; $CellContext`horizStrip[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]]] := Module[{$CellContext`L = If[$CellContext`a != 0, 
             $CellContext`f[$CellContext`a], $CellContext`L0]}, {
           Nest[Lighter, Yellow, 3], 
           Opacity[0.5], 
           
           Polygon[{{$CellContext`xMin, $CellContext`L - $CellContext`e}, \
{$CellContext`xMax, $CellContext`L - $CellContext`e}, {$CellContext`xMax, \
$CellContext`L + $CellContext`e}, {$CellContext`xMin, $CellContext`L + \
$CellContext`e}}], 
           If[$CellContext`e > 0, {
             Darker[Yellow], 
             Opacity[1], 
             Style[
              Text[
              "\!\(\*StyleBox[\"e\",FontSlant->\"Italic\"]\)", \
{$CellContext`xMax - 0.45, $CellContext`L - $CellContext`e/2}], 16], 
             Style[
              Text[
              "\!\(\*StyleBox[\"e\",FontSlant->\"Italic\"]\)", \
{$CellContext`xMax - 0.45, $CellContext`L + $CellContext`e/2}], 16], 
             Arrowheads[{-0.02, 0.02}], 
             Map[
             Arrow, {{{$CellContext`xMax - 
                 0.1, $CellContext`L - $CellContext`e}, {$CellContext`xMax - 
                 0.1, $CellContext`L}}, {{$CellContext`xMax - 
                 0.1, $CellContext`L}, {$CellContext`xMax - 
                 0.1, $CellContext`L + $CellContext`e}}}]}, 
            Nothing]}]; $CellContext`horizLine[
          Pattern[$CellContext`a, 
           Blank[]]] := {
          Thickness[0.0075], 
          Darker[Yellow], 
          Dashing[{0.05, 0.025}], 
          Line[{{$CellContext`xMin, 
             $CellContext`f[$CellContext`a]}, {$CellContext`xMax, 
             $CellContext`f[$CellContext`a]}}]}; $CellContext`toleranceLines[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]]] := {
          Thickness[0.003], 
          Darker[Yellow], 
          Dashing[{0.05, 0.025}], 
          Map[
          Line, {{{$CellContext`xMin, $CellContext`f[$CellContext`a] - \
$CellContext`e}, {$CellContext`xMax, $CellContext`f[$CellContext`a] - \
$CellContext`e}}, {{$CellContext`xMin, $CellContext`f[$CellContext`a] + \
$CellContext`e}, {$CellContext`xMax, $CellContext`f[$CellContext`a] + \
$CellContext`e}}}]}; $CellContext`whitepoint[
          Pattern[$CellContext`a, 
           Blank[]]] := {Purple, 
          AbsolutePointSize[12], 
          Point[{$CellContext`a, 
            $CellContext`f[$CellContext`a]}], White, 
          AbsolutePointSize[8], 
          Point[{$CellContext`a, 
            $CellContext`f[$CellContext`a]}]}; $CellContext`debugVar[
          Pattern[$CellContext`varName, 
           Blank[]], 
          Pattern[$CellContext`value, 
           Blank[]]] := Row[
          Map[
          Style[#, 16]& , {$CellContext`varName, " = ", $CellContext`value}]]; 
       Null}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]],ExpressionUUID->"53d38b7b-0306-40c1-\
9a56-852b21563645"]
},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"02d7ffb9-5506-4d92-b080-2e0835a099b9"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1488, 33, 14741, 318, 728, InheritFromParent,ExpressionUUID->"53d38b7b-0306-40c1-9a56-852b21563645"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Svpd0Ys8oAOWeAwLNzqkmoug *)
